Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162172 - Installer incorrectly upgraded rather than set up triboot system
Summary: Installer incorrectly upgraded rather than set up triboot system
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 16:00 UTC by charles livsey
Modified: 2008-02-17 21:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-17 21:30:09 UTC


Attachments (Terms of Use)

Description charles livsey 2005-06-30 16:00:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
With an original partition configuration of:

/dev/sda
/dev/sda1  ntfs  70002  (Windows XP Pro)
/dev/sda2  ext3    259  (boot)
/dev/sda3  ext3  85000  (Fedora Core 3)
/dev/sda4  Extended  83212
/dev/sda5  swap   4095
/dev/sda6  ext3  79117  (Free - to become Fedora Core 4_64)

I went to install Fedora Core 4_64 and chose the option to install a NEW system rather than UPGRADE an old one.  I chose to install it in sda6 and I had to reset the / to sda3.

After installing, I found the following Grub menu:

Fedora Core 3
root(hd0,2)
kernel/boot/vmlinux-2.6.11-1.1369.FC4 ro root LABEL/rgb quiet
initrd/boot/initrd-2.6.11-1.369-FC4.img

Fedora Core 4_64
rootnoverify(hd0,5)
chainloader +1

Furthermore, in the original Fedora Core 3, sda3, I found the files /boot/vmlinuz-2.6.11.1.1369.FC4 and /boot/initrd-2.6.11-1.369-FC4.img, and the grub.cond with the corresponding titles...

attempting to boot the FC3 section with the new FC4 kernel pieces would not work however, and gave a series of errors, including:

Decompressing Linus...done
Booting the kernel
Red hat hash version 4.2.15 starting
ismod: can't read '/lib/scsi/mod.ko'.no such file or dirctory
Error:/bin/ismod ixited abnormally with value!! (pid 370)
ismod: can't read 'lib sd.mod.ko':no such file or directory
...
no mount: error: mounting ext 3
...
ERROR opening /dev/console!!!2
Kernel Panic-not syncing: Attempted to kill...




Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Have dual boot Windows/Fedora computer
2.Startup with Disk 1 installation disk
3.Attempt new installation for triboot
  

Actual Results:  Installation program performed bad upgrade and partial (?new) installation over boot partition.

Expected Results:  New installation in empty partition.

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:09:17 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Matthew Miller 2007-04-06 15:18:39 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 3 Red Hat Bugzilla 2007-06-12 02:52:08 UTC
requested by Jams Antill

Comment 4 petrosyan 2008-02-17 21:30:09 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.